# Remove-RASLogonHours.md

## NAME

Remove-RASLogonHours

## SYNOPSIS

Removes the logon hours rule specified by name from the Licensing Server site (default).

## SYNTAX

**Remove-RASLogonHours** \[[Id](#id-string)] *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Remove-RASLogonHours \[-[InputObject](#inputobject)] *(*[*LogonHours*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md)*)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Remove-RASLogonHours** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Removes the logon hours rule specified by name from the Licensing Server site (default).

## PARAMETERS

## Name (string)

The name of the logon hours rule to remove from a Site.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to remove the logon hours rule.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the logon hours rule to remove from the Site.

To obtain the ID, use the Get-LogonHours cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([LogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md))

The logon hours property to remove from a Site.

To obtain a logon hours rule object LogonHours, use the Get-LogonHours command.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[LogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/logonhours.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Remove-RASLogonHours "My LogonHours"

Removes the logon hours rule specified by name from the Licensing Server Site (default).

To remove a logon hours property from a specific Site, specify the -SiteId parameter.\
\*\*---------- EXAMPLE 2 ----------

Remove-RASLogonHours -Id 10

Removes the logon hours rule specified by ID. To obtain the group ID, use the Get-LogonHours cmdlet.\
\*\*---------- EXAMPLE 3 ----------

Get-RASLogonHours -Id 10 | Remove-RASLogonHours

Removes a logon hours rule, which is identified by an object obtained from the pipeline output.

## RELATED LINKS

* [New-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-raslogonhours.md)
* [Get-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-raslogonhours.md)
* [Set-RASLogonHours](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raslogonhours.md)
* [Set-RASLogonHoursOrder](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-raslogonhoursorder.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-raslogonhours.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
